%define oname recordMyDesktop
%define	gtkoname gtk-%{oname}

Summary:	GTK fronted for recordmydesktop
Name:		gtk-recordmydesktop
Version:	0.3.8
Release:	%mkrel 5
License:	GPLv2+
Group:		Video/Utilities
URL:		http://recordmydesktop.sourceforge.net
Source0:	http://downloads.sourceforge.net/recordmydesktop/%{name}-%{version}.tar.bz2
BuildRequires:	pygtk2.0-devel
BuildRequires:	desktop-file-utils
Requires:	recordmydesktop >= %{version}

%description
GTK frontend for recordmydesktop.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

#(tpg) handle icon extension
sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

desktop-file-install \
	--add-category="Video;GTK" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{gtkoname}

%files -f %{gtkoname}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{gtkoname}
%dir %{py_sitedir}/%{oname}/
%{py_sitedir}/%{oname}/*.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog

* Tue Jan 22 2013 fwang <fwang> 0.3.8-5.mga3
+ Revision: 391007
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 ahmad <ahmad> 0.3.8-4.mga1
+ Revision: 65124
- imported package gtk-recordmydesktop

